Subject: [bug#60020] [PATCH 0/8] Update openjdk.

From: Efraim Flashner <[email-masked]>
Date: Wed, 18 Jan 2023 11:40:33 +0200

On Tue, Jan 17, 2023 at 02:38:28PM -0500, Maxim Cournoyer wrote:
> +CC Efram
> 
> Hi Greg,
> 
> Greg Hogan <[email-masked]> writes:
> 
> > On Mon, Jan 16, 2023 at 12:59 PM Maxim Cournoyer
> > <[email-masked]> wrote:
> >>
> >> Hello,
> >>
> >> Greg Hogan <[email-masked]> writes:
> >>
> >> > These look to be the latest updates to openjdk11+.
> >> >
> >> > The openjdk build process creates thousands of defunct bash processes,
> >> > necessitating the increase in maximum number of tasks.
> >> >
> >> > Greg Hogan (8):
> >> >   Increase "TasksMax" in 'guix-daemon.service'.
> >>
> >> This doesn't appear to have been merged yet.  Is it still needed?
> >
> > Yes. Do we know what TasksMax is set to on the build farms?
> >
> >> >   gnu: openjdk11: Update to 11.0.17.
> >> >   gnu: openjdk13: Update to 13.0.13.
> >> >   gnu: openjdk15: Update to 15.0.9.
> >> >   gnu: openjdk16: Update to 16.0.2.
> >> >   gnu: openjdk17: Update to 17.0.5.
> >> >   gnu: openjdk18: Update to 18.0.2.
> >> >   gnu: openjdk: Update to 19.
> >>
> >> These appear to have been merged already.  Feel free to close if there's
> >> nothing left to do here.
> >
> > Everything except openjdk@19 was merged, so I don't know if that was
> > an editorial decision by the committer because version 19 was so new
> > (19.0.1 has since been released).
> 
> Efraim, was this an oversight or you were waiting to upload the new
> release?

I meant to come back to this one. I wasn't able to build version 19
locally and I guess I forgot to say anything :/

> > I would close this ticket except for
> > waiting to confirm and accept the increase to TasksMax.
> 
> OK; there doesn't seem to be anything particular on the build farm, per
> (sysadmin services) in the guix-maintenance repository:
> 
> --8<---------------cut here---------------start------------->8---
> (define* (guix-daemon-config #:key (max-jobs 5) (cores 4)
>                              (build-accounts-to-max-jobs-ratio 4)
>                              (authorized-keys '()))
>   (guix-configuration
>    (substitute-urls '())
>    (authorized-keys authorized-keys)
> 
>    ;; We don't want to let builds get stuck for too long, but we still want
>    ;; to allow building, say, Guile 2.2 on armhf-linux, which takes < 3h on
>    ;; an OverDrive 1000.
>    (max-silent-time 3600)
>    (timeout (* 6 3600))
> 
>    (log-compression 'gzip)               ;be friendly to 'guix publish' users
> 
>    (build-accounts (* build-accounts-to-max-jobs-ratio max-jobs))
>    (extra-options (list "--max-jobs" (number->string max-jobs)
>                         "--cores" (number->string cores)
>                         "--gc-keep-outputs" "--gc-keep-derivations"))))
> --8<---------------cut here---------------end--------------->8---
> 
> And it uses the guix-daemon from the latest Guix package in Guix, so it
> doesn't seem to be needed there?
> 
> -- 
> Thanks,
> Maxim

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted